<?php
/**
 * Created by PhpStorm.
 * User: gerd
 * Date: 05.02.14
 * Time: 08:57
 */

/**
 * POST-Variabeln
 * kPlugin, cPluginTab, stepPlugin, cAPIToken, cPDFDown, cPDFMail
 */

global $oPlugin;

require_once $oPlugin->cAdminmenuPfad . 'inc/class.agws_plugin_admin.helper.php';
require_once($oPlugin->cFrontendPfad  . "inc/func.agws_it_recht_kanzlei.php");

$helper = agwsPluginAdminHelper::getInstance($oPlugin);

if ($helper->isShop4()) {
    $smarty = Shop::Smarty();
} else {
    global $smarty;
}

$stepPlugin = "syncsettings";

if ($helper->isShop4() === true) {
    $syncSettingsTab =  Shop::DB()->executeQuery("SELECT * FROM tpluginadminmenu WHERE kPlugin=".$oPlugin->kPlugin." AND cDateiname='agws_it_recht_kanzlei_syncsettings.php'", 1);
}
else {
    $syncSettingsTab =  $GLOBALS['DB']->executeQuery("SELECT * FROM tpluginadminmenu WHERE kPlugin=".$oPlugin->kPlugin." AND cDateiname='agws_it_recht_kanzlei_syncsettings.php'", 1);
}

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['stepPlugin'])) {
    setSyncSettings($helper->isShop4(), $_POST['activeGroups']);
    $cHinweis = "Die Kundengruppen-Einstellungen wurden gespeichert!";
}

if ($helper->isShop4() === true) {
    $agws_it_recht_kanzlei_sprache = Shop::DB()->query("SELECT kSprache, cISO FROM tsprache WHERE cShopStandard = 'Y'", 1);
    $oKundengruppen_arr = Shop::DB()->executeQuery("SELECT * FROM tkundengruppe", 2);
    $oSyncblockKundengruppen_arr = Shop::DB()->query("SELECT kKundengruppe FROM xplugin_agws_it_recht_kanzlei_kundengruppensyncblock", 2);
    $oBlockedGroup_ids= array();

    if (is_array($oSyncblockKundengruppen_arr) && count($oSyncblockKundengruppen_arr)>0) {
        foreach ($oSyncblockKundengruppen_arr as $oGroup) {
            $oBlockedGroup_ids[] = $oGroup->kKundengruppe;
        }
    }
}
else {
    $agws_it_recht_kanzlei_sprache = $GLOBALS['DB']->executeQuery("SELECT kSprache, cISO FROM tsprache WHERE cShopStandard = 'Y'", 1);
    $oKundengruppen_arr = $GLOBALS['DB']->executeQuery("SELECT * FROM tkundengruppe", 2);
    $oSyncblockKundengruppen_arr = $GLOBALS['DB']->executeQuery("SELECT kKundengruppe FROM xplugin_agws_it_recht_kanzlei_kundengruppensyncblock", 2);
    $oBlockedGroup_ids= array();

    if (is_array($oSyncblockKundengruppen_arr) && count($oSyncblockKundengruppen_arr)>0) {
        foreach ($oSyncblockKundengruppen_arr as $oGroup) {
            $oBlockedGroup_ids[] = $oGroup->kKundengruppe;
        }
    }
}

$smarty->assign('isShop4', $helper->isShop4());

$smarty->assign("cPluginTab", $syncSettingsTab->kPluginAdminMenu);
$smarty->assign("stepPlugin", $stepPlugin);
$smarty->assign("cHinweis", $cHinweis);

$smarty->assign('oSyncblockKundengruppen_arr', $oSyncblockKundengruppen_arr);
$smarty->assign('oBlockedGroup_ids', $oBlockedGroup_ids);
$smarty->assign('oKundengruppen_arr', $oKundengruppen_arr);

$smarty->display($oPlugin->cAdminmenuPfad . "template/agws_it_recht_kanzlei_syncsettings.tpl");