<?php
/**
 * Created by PhpStorm.
 * User: gerd
 * Date: 05.02.14
 * Time: 08:57
 */

/**
 * POST-Variabeln
 * kPlugin, cPluginTab, stepPlugin, cAPIToken, cPDFDown, cPDFMail
 */

global $oPlugin;

require_once $oPlugin->cAdminmenuPfad . 'inc/class.agws_plugin_admin.helper.php';
require_once($oPlugin->cFrontendPfad  . "inc/func.agws_it_recht_kanzlei.php");

$helper = agwsPluginAdminHelper::getInstance($oPlugin);

if ($helper->isShop4()) {
    $smarty = Shop::Smarty();
} else {
    global $smarty;
}

$stepPlugin = "einstellung";

$init_APIToken = md5(uniqid(""));

if (isset($_POST['stepPlugin']) && $_POST['stepPlugin'] == $stepPlugin) {
    if ($helper->isShop4() === true) {
        $agws_it_recht_kanzlei_log_arr = Shop::DB()->query("UPDATE tplugineinstellungen SET cWert = '" . Shop::DB()->realEscape($_POST['cAPIToken']) . "' WHERE kPlugin = " . $oPlugin->kPlugin . " AND cName = 'cAPIToken'", 10);
        $agws_it_recht_kanzlei_log_arr = Shop::DB()->query("UPDATE tplugineinstellungen SET cWert = '" . Shop::DB()->realEscape($_POST['cPDFDown']) . "' WHERE kPlugin = " . $oPlugin->kPlugin . " AND cName = 'cPDFDown'", 10);
        $agws_it_recht_kanzlei_log_arr = Shop::DB()->query("UPDATE tplugineinstellungen SET cWert = '" . Shop::DB()->realEscape($_POST['cPDFMail']) . "' WHERE kPlugin = " . $oPlugin->kPlugin . " AND cName = 'cPDFMail'", 10);
        $agws_it_recht_kanzlei_log_arr = Shop::DB()->query("UPDATE tplugineinstellungen SET cWert = '" . Shop::DB()->realEscape($_POST['cLanguageSettings']) . "' WHERE kPlugin = " . $oPlugin->kPlugin . " AND cName = 'cLanguageSettings'", 10);
        $result = Shop::Cache()->flushTags($oPlugin->pluginCacheGroup);
        if (is_numeric($result)) {
            $cHinweis = 'Cache erfolgreich invalidiert';
        } else {
            $cFehler = 'Konnte Cache nicht l&ouml;schen!';
        }
    } else {
        $GLOBALS['DB']->executeQuery("UPDATE tplugineinstellungen SET cWert = '" . $GLOBALS["DB"]->realEscape($_POST['cAPIToken']) . "' WHERE kPlugin = " . $oPlugin->kPlugin . " AND cName = 'cAPIToken'", 10);
        $GLOBALS['DB']->executeQuery("UPDATE tplugineinstellungen SET cWert = '" . $GLOBALS["DB"]->realEscape($_POST['cPDFDown']) . "' WHERE kPlugin = " . $oPlugin->kPlugin . " AND cName = 'cPDFDown'", 10);
        $GLOBALS['DB']->executeQuery("UPDATE tplugineinstellungen SET cWert = '" . $GLOBALS["DB"]->realEscape($_POST['cPDFMail']) . "' WHERE kPlugin = " . $oPlugin->kPlugin . " AND cName = 'cPDFMail'", 10);
        $GLOBALS['DB']->executeQuery("UPDATE tplugineinstellungen SET cWert = '" . $GLOBALS["DB"]->realEscape($_POST['cLanguageSettings']) . "' WHERE kPlugin = " . $oPlugin->kPlugin . " AND cName = 'cLanguageSettings'", 10);
    }

    $cHinweis .= '<br><br>Einstellungen gendert - Bitte fhren Sie einen vollstndigen Abgleich der Rechtstexte durch!';
}

($helper->isShop4() === true) ?
    $einstellungen_arr = Shop::DB()->query("SELECT * FROM tplugineinstellungen WHERE kPlugin = " . $oPlugin->kPlugin, 9) :
    $einstellungen_arr = $GLOBALS['DB']->executeQuery("SELECT * FROM tplugineinstellungen WHERE kPlugin = " . $oPlugin->kPlugin, 9);

if (count($einstellungen_arr) == 0) {
    if ($helper->isShop4() === true) {
        $cDefaultLanguageSettings = "de=ger\nen=eng\nfr=fre\nnl=dut\nes=spa\ndk=dan\nsv=swe";

        Shop::DB()->query("INSERT INTO tplugineinstellungen (kPlugin, cName, cWert) VALUES
				(" . $oPlugin->kPlugin . ", 'cAPIToken', '$init_APIToken'),
				(" . $oPlugin->kPlugin . ", 'cPDFMail', '1'),
				(" . $oPlugin->kPlugin . ", 'cPDFDown', '1')
				(" . $oPlugin->kPlugin . ", 'cLanguageSettings', '" . $cDefaultLanguageSettings . "')", 10);

        Shop::DB()->query("UPDATE tplugin SET cName = 'Rechtstexte IT-Recht Kanzlei' WHERE kPlugin = " . $oPlugin->kPlugin, 10);
        $result = Shop::Cache()->flushTags($oPlugin->pluginCacheGroup);
        if (is_numeric($result)) {
            $cHinweis = 'Cache erfolgreich invalidiert';
        } else {
            $cFehler = 'Konnte Cache nicht l&ouml;schen!';
        }
        $einstellungen_arr = Shop::DB()->query("SELECT * FROM tplugineinstellungen WHERE kPlugin = " . $oPlugin->kPlugin, 9);
    } else {
        $GLOBALS['DB']->executeQuery("INSERT INTO tplugineinstellungen (kPlugin, cName, cWert) VALUES
			(" . $oPlugin->kPlugin . ", 'cAPIToken', '$init_APIToken'),
			(" . $oPlugin->kPlugin . ", 'cPDFMail', '1'),
			(" . $oPlugin->kPlugin . ", 'cPDFDown', '1')
			(" . $oPlugin->kPlugin . ", 'cLanguageSettings', '" . $cDefaultLanguageSettings . "')", 10);

        $GLOBALS['DB']->executeQuery("UPDATE tplugin SET cName = 'Rechtstexte IT-Recht Kanzlei' WHERE kPlugin = " . $oPlugin->kPlugin, 10);

        $einstellungen_arr = $GLOBALS['DB']->executeQuery("SELECT * FROM tplugineinstellungen WHERE kPlugin = " . $oPlugin->kPlugin, 9);
    }

    $cHinweis .= '<br><br>Einstellungen prfen - Bitte fhren Sie einen vollstndigen Abgleich der Rechtstexte durch!';
}
else {
    $tmpKeys = array();
    foreach ($einstellungen_arr as $einstellung) {
        $tmpKeys[] = $einstellung['cName'];
    }
}

foreach ($einstellungen_arr as $einstellung_arr) {
    $cEinstellungen_arr[$einstellung_arr['cName']] = $einstellung_arr['cWert'];
}

($helper->isShop4() === true) ?
    $agws_it_recht_kanzlei_sprache = Shop::DB()->query("SELECT kSprache, cISO FROM tsprache WHERE cShopStandard = 'Y'", 1) :
    $agws_it_recht_kanzlei_sprache = $GLOBALS['DB']->executeQuery("SELECT kSprache, cISO FROM tsprache WHERE cShopStandard = 'Y'", 1);

$smarty->assign('isShop4', $helper->isShop4());
$smarty->assign('bPDFDirStatus', agws_it_recht_kanzlei_pruefeVerzeichnisRechte('includes/plugins/agws_it_recht_kanzlei/version/pdf-dokumente/'));
$smarty->assign('bPDFDir_Mail_Status', agws_it_recht_kanzlei_pruefeVerzeichnisRechte(PFAD_ADMIN . PFAD_INCLUDES . PFAD_EMAILPDFS));
$smarty->assign('cEinstellungen_arr', $cEinstellungen_arr);
$smarty->assign('checkStatus_agb', agws_it_recht_kanzlei_check_spezialseite('agb', $agws_it_recht_kanzlei_sprache, agwsPluginAdminHelper::isShop4()));
$smarty->assign('checkStatus_widerruf', agws_it_recht_kanzlei_check_spezialseite('widerruf', $agws_it_recht_kanzlei_sprache, agwsPluginAdminHelper::isShop4()));
$smarty->assign('checkStatus_impressum', agws_it_recht_kanzlei_check_spezialseite('impressum', $agws_it_recht_kanzlei_sprache, agwsPluginAdminHelper::isShop4()));
$smarty->assign('checkStatus_datenschutz', agws_it_recht_kanzlei_check_spezialseite('datenschutz', $agws_it_recht_kanzlei_sprache, agwsPluginAdminHelper::isShop4()));

$smarty->assign("cAPIUrl", ($helper->isShop4() ? Shop::getURL() : URL_SHOP) . "/");
$smarty->assign("cPDFDir", PFAD_ROOT . 'includes/plugins/agws_it_recht_kanzlei/version/pdf-dokumente/');
$smarty->assign("cPDFDir_Mail", PFAD_ROOT . PFAD_ADMIN . PFAD_INCLUDES . PFAD_EMAILPDFS);
$smarty->assign("stepPlugin", $stepPlugin);
$smarty->assign("cHinweis", $cHinweis);

$smarty->display($oPlugin->cAdminmenuPfad . "template/agws_it_recht_kanzlei_einstellungen.tpl");